extends AbstractLocationItems
class_name LocationItems

# Public Methods
func CheckItemAtLocation(location: Enums.CheckLocations) -> Enums.Items:
	match location:
		Enums.CheckLocations.SHOP_1:
			return Enums.Items.WOOD_SWORD
		Enums.CheckLocations.SHOP_2:
			return Enums.Items.BRONZE_KEY
		Enums.CheckLocations.SHOP_3:
			return Enums.Items.RED_POTION
	return Enums.Items.GOLD_100


func GetLocationShopPrice(location: Enums.CheckLocations) -> int:
	match location:
		Enums.CheckLocations.SHOP_1:
			return 500
		Enums.CheckLocations.SHOP_2:
			return 200
		Enums.CheckLocations.SHOP_3:
			return 100
	return 1234
